/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.common.xml.fast;

import java.util.Map;

import com.crunii.micro.common.utils.FileUtil;

/**
 * @author 田平 create 2020年4月30日上午9:07:25
 *
 */
public class XmlTest {

	public static void main(String[] args) throws Exception {
		String xml = FileUtil.getFileContent("C:\\Users\\Administrator\\Desktop\\bsn.xml");
		Map<String, Object> map = FastXmlUtil.xmlToMap(xml);
		System.out.println(map);
		System.out.println(FastXmlUtil.objectToXml("req", map));
		System.out.println(FastXmlUtil.objectToPrettyXml("req", map));

//		String x = FastXmlUtil.objectToPrettyXml("abc", new TsmWorker());
//		System.out.println(x);
//		System.out.println(FastXmlUtil.xmlToObject(x, TsmWorker.class));
	}
}
